Bug 7615 - Uses .la files
: Uses .la files
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/amarok)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-09 11:51 by
Modified: 2005-08-21 12:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-09 11:51:28
Во всех файлах .mcopclass нужно заменить .la на .so 
Тогда можно будет файлы типа libamarokarts.la не включать в пакет, т.к. 
включение все равно не помогает.
------- Comment #1 From 2005-08-09 15:28:10 -------
(In reply to comment #0) 
> Во всех файлах .mcopclass нужно заменить .la на .so  
> Тогда можно будет файлы типа libamarokarts.la не включать в пакет, т.к.  
> включение все равно не помогает. 
 
Насколько я помню, .la-файлы включены в пакет для работоспособности плагинов. 
При отсутствии .la-файлов переключить плагин вывода в рантайме не 
представляется возможным. Проверьте у себя, пожалуйста. 
------- Comment #2 From 2005-08-09 15:56:45 -------
Сделайте, как я написал, пожалуйста. 
------- Comment #3 From 2005-08-09 16:05:58 -------
Извиняюсь, я смотрел на пересобранном amarok для M24, где не прикладывал  
патчи, т.е. не заметил, что в них замена .la на .so в *.mcopclass есть.  
Это единственное, что нужно оставить из патчей. 

Тогда просто достаточно libamarokarts.la убрать из пакета. 
Он не имеет смысла вообще, т.к. находится в разных местах с libamarokarts.so 
------- Comment #4 From 2005-08-10 14:06:55 -------
fixed in 1.2.4-alt2